Waiting for engine...
Skip to main content

Boomi Platform Partner API Reference (1.0.0) - cancelExecution

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

cancelExecution

You can use the cancelExecution operation to cancel a current process run on a particular runtime.

To cancel a process run, you must have the Execute privilege and access to both the process and the runtime on which the process is currently running.

cancelExecution operation

To perform a cancelExecution operation, send an HTTP POST where accountId is the user's account ID and executionId is the ID of the process run to cancel.

A successful cancelExecution call returns an HTTP status code of 202. An error message appears if you cannot cancel the run because the runtime is not running.

Authorizations:
basicAuth
path Parameters
executionId
required
string

A unique identifier assigned by the system to a running process.

Responses

Response samples

Content type
{
  • "message": "Operation completed successfully."
}